---
title: "Privacy Policy"
---

**_Last updated: May 28, 2022_**

## Who we are

This website is owned by Sam Al-Sapti and hosted at [samsapti.dev](/).

## What data is collected

No data is collected about the site's visitors. The webserver's access
logs are discarded immediately, so the server doesn't persist any IP
addresses or other personally identifiable information. Moreover, if
you access this site over a VPN or Tor connection (`.onion` link
available at the bottom of the page), the site won't even be able to
learn your IP address in case of a compromise.

Furthermore, the hosting provider of this site is
[Hetzner Online GmbH](https://www.hetzner.com/). According to their
privacy policy, they do not store any log data either. Please refer to
their privacy policy for further information.

## Cookies

No cookies are used. However, your browser's local storage is used to
save your color scheme preference if you ever change it manually.

## Embedded third party content

Currently no third party content is embedded on this site.

## Analytics

No analytics are used on this site.

## Changes to this privacy policy

I reserve the right to update this privacy policy from time to time. I
constantly keep it up to date with the latest changes. If this policy
is changed substantially, I will put a clear notice on the front page
for at least 30 days, and I will also communicate out about the changes
via [Mastodon](https://social.data.coop/@samsapti).